5.3.0-git
2014-11-26

[#7661] support for videos
Summary support for videos
Queue Ansel
Queue Version Git master
Type Enhancement
State Accepted
Priority 1. Low
Owners
Requester mrubinsk (at) horde (dot) org
Created 2008-11-09 (2208 days ago)
Due
Updated 2014-09-29 (58 days ago)
Assigned
Resolved
Milestone 2
Patch No

History
2014-09-29 13:52:48 Michael Rubinsky Comment #9 Reply to this comment
I'm aware of the requirements. I used to maintain a dedicated video 
app back in the Horde 3 days but it was left behind during refactoring 
for H4 and H5 due to lack of interest and time. Again, this is 
*personally* not on my list at the moment. Anyone else can feel free 
to work on it if it's important to them, hence the "Accepted" status.
2014-09-29 13:42:32 lameventanas (at) gmail (dot) com Comment #8 Reply to this comment

[Show Quoted Text - 10 lines]
Why don't you put it in the bounty program?
Someone is bound to want it enough to sponsor/implement it.

I am already working on my own photo/video php app, but it doesn't use 
horde or ansel.
It is not as complex as it looks, as long as you make some hard 
requirements (eg: related to ffmpeg / video tools).

2014-09-29 13:27:19 Michael Rubinsky Comment #7 Reply to this comment
Doubt I'll have time/interest to work on this without sponsoring.
With the recent omnipresence of video-capable cameras, not 
implementing video support in Ansel condemns it to irrelevance.
Irrelevant. It doesn't change the fact that I, personally, don't have 
the free time to work on this.

Feel free to provide a patch, or sponsor the feature, since you feel 
so strongly about it.
2014-09-29 11:48:12 lameventanas (at) gmail (dot) com Comment #6 Reply to this comment
Doubt I'll have time/interest to work on this without sponsoring.
With the recent omnipresence of video-capable cameras, not 
implementing video support in Ansel condemns it to irrelevance.
2014-08-16 23:44:13 Michael Rubinsky Comment #5
Taken from Michael Rubinsky
Reply to this comment
Doubt I'll have time/interest to work on this without sponsoring.
2010-10-22 00:45:28 Michael Rubinsky Assigned to Michael Rubinsky
Milestone ⇒ 2
 
2010-10-22 00:40:36 Michael Rubinsky Comment #4 Reply to this comment
Utilize http://videojs.com to provide video playback
2009-09-28 18:02:58 Michael Rubinsky Comment #3 Reply to this comment
2009-08-01 20:35:20 Jan Schneider Version ⇒ Git master
 
2009-06-21 13:52:15 Michael Rubinsky Version ⇒ HEAD
 
2009-06-21 03:52:47 Chuck Hagenbuch Comment #2
Version ⇒ 1.0
Reply to this comment
2008-11-09 05:06:13 Michael Rubinsky Comment #1
State ⇒ Accepted
Patch ⇒ No
Milestone ⇒
Queue ⇒ Ansel
Summary ⇒ support for videos
Type ⇒ Enhancement
Priority ⇒ 1. Low
Reply to this comment
Allow uploading videos as well as images to a gallery.  Thumbs would 
be generated from the video and displayed along with the image 
thumbnails in the gallery view - perhaps with a 'film edge' effect to 
denote it as a video. Clicking on the thumbnail will open a Video view 
with an embedded flash player. (What to do if we are viewing a 
lightbox style gallery? Can the players be embedded in an overlay?)



Video conversion will be done using Horde_Queue (see Ticket: 7266)